### Hierarchy

- NavigationService
  - XFNavigationService

## Index

### Constructors

- constructor

### Properties

- app

### Accessors

- location
- title

### Methods

- alert
- back
- confirm
- navigate
- notify
- openPage
- openWindow
- refresh
- registerNavigationHook
- remove

## Constructors

### constructor

- new XFNavigationService(app: App, jsonService: JsonService): XFNavigationService

- Overrides NavigationService.constructor

  - Defined in src/xf/services/XFNavigationService.ts:53

  #### Parameters

  - ##### app: App

  - ##### jsonService: JsonService

  #### Returns XFNavigationService

## Properties

### app

app: App

Inherited from NavigationService.app

- Defined in src/services/NavigationService.ts:70

## Accessors

### location

- get location(): AtomUri
- set location(v: AtomUri): void

- Overrides NavigationService.location

  - Defined in src/xf/services/XFNavigationService.ts:47

  #### Returns AtomUri

- Overrides NavigationService.location

  - Defined in src/xf/services/XFNavigationService.ts:51

  #### Parameters

  - ##### v: AtomUri

  #### Returns void

### title

- get title(): string
- set title(v: string): void

- Overrides NavigationService.title

  - Defined in src/xf/services/XFNavigationService.ts:36

  #### Returns string

- Overrides NavigationService.title

  - Defined in src/xf/services/XFNavigationService.ts:41

  #### Parameters

  - ##### v: string

  #### Returns void

## Methods

### alert

- alert(message: string | any, title?: string): Promise<any>

- Overrides NavigationService.alert

  - Defined in src/xf/services/XFNavigationService.ts:61

  #### Parameters

  - ##### message: string | any

  - ##### Optional title: string

  #### Returns Promise<any>

### back

- back(): void

- Overrides NavigationService.back

  - Defined in src/xf/services/XFNavigationService.ts:98

  #### Returns void

### confirm

- confirm(message: string, title?: string): Promise<boolean>

- Overrides NavigationService.confirm

  - Defined in src/xf/services/XFNavigationService.ts:73

  #### Parameters

  - ##### message: string

  - ##### Optional title: string

  #### Returns Promise<boolean>

### navigate

- navigate(url: string): void

- Overrides NavigationService.navigate

  - Defined in src/xf/services/XFNavigationService.ts:89

  #### Parameters

  - ##### url: string

  #### Returns void

### notify

- notify(message: string, title?: string, type?: NotifyType, delay?: number): void

- Overrides NavigationService.notify

  - Defined in src/xf/services/XFNavigationService.ts:83

  #### Parameters

  - ##### message: string

  - ##### Optional title: string

  - ##### Optional type: NotifyType

  - ##### Optional delay: number

  #### Returns void

### openPage

- openPage<T>(pageName: string | any, p?: INameValuePairs, options?: IPageOptions): Promise<T>

- Inherited from NavigationService.openPage

  - Defined in src/services/NavigationService.ts:83

  #### Type parameters

  - #### T

  #### Parameters

  - ##### pageName: string | any

    url

  - ##### Optional p: INameValuePairs

    parameters

  - ##### Optional options: IPageOptions

  #### Returns Promise<T>

### Protected openWindow

- openWindow<T>(url: AtomUri, options?: IPageOptions): Promise<T>

- Overrides NavigationService.openWindow

  - Defined in src/xf/services/XFNavigationService.ts:113

  #### Type parameters

  - #### T

  #### Parameters

  - ##### url: AtomUri

  - ##### Optional options: IPageOptions

  #### Returns Promise<T>

### refresh

- refresh(): void

- Overrides NavigationService.refresh

  - Defined in src/xf/services/XFNavigationService.ts:109

  #### Returns void

### registerNavigationHook

- registerNavigationHook(callback: navigateCallback): IDisposable

- Inherited from NavigationService.registerNavigationHook

  - Defined in src/services/NavigationService.ts:174

  #### Parameters

  - ##### callback: navigateCallback

  #### Returns IDisposable

### remove

- remove(view: object, force?: boolean): Promise<boolean>

- Inherited from NavigationService.remove

  - Defined in src/services/NavigationService.ts:160

  Sends signal to remove window/popup/frame, it will not immediately remove, because it will identify whether it can remove or not by displaying cancellation warning. Only if there is no cancellation warning or user chooses to force close, it will not remove.

  #### Parameters

  - ##### view: object

  - ##### Optional force: boolean

  #### Returns Promise<boolean>

  true if view was removed successfully

Generated using TypeDoc